payprocessing/atol-sdk-api-v4

There is no license information available for the latest version (3.3.0) of this package.

Atol.online SDK Version 4

3.3.0 2020-06-26 13:20 UTC

This package is auto-updated.

Last update: 2020-06-26 13:22:39 UTC


README

Установка

Проект предполагает установку с использованием composer

composer require payprocessing/atol-sdk-api-v4

Тесты

Для работы тестов необходим PHPUnit, для его установки необходимо выполнить команду

composer require phpunit/phpunit

Для того, чтобы запустить интеграционные тесты нужно скопировать файл tests/integration/MerchantSettings.php.sample удалив из названия расширение .sample и вставив настройки магазина. После выполнить команду из корня проекта

vendor/bin/phpunit vendor/payprocessing/atol-online/tests/integration

Примеры использования

Можно найти в интеграционных тестах tests/integration